
From: Eugene Surovegin <ebs@ebshome.net>

Fix the MAL channels count in PPC 440SP OCP definition.  PPC 440SP has only
1 EMAC attached to MAL.

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/platforms/4xx/ibm440sp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/platforms/4xx/ibm440sp.c~ppc32-fix-440sp-mal-channels-count arch/ppc/platforms/4xx/ibm440sp.c
--- 25/arch/ppc/platforms/4xx/ibm440sp.c~ppc32-fix-440sp-mal-channels-count	Tue Jul 26 14:49:22 2005
+++ 25-akpm/arch/ppc/platforms/4xx/ibm440sp.c	Tue Jul 26 14:49:22 2005
@@ -36,8 +36,8 @@ static struct ocp_func_emac_data ibm440s
 OCP_SYSFS_EMAC_DATA()
 
 static struct ocp_func_mal_data ibm440sp_mal0_def = {
-	.num_tx_chans   = 4,    	/* Number of TX channels */
-	.num_rx_chans   = 4,    	/* Number of RX channels */
+	.num_tx_chans   = 1,    	/* Number of TX channels */
+	.num_rx_chans   = 1,    	/* Number of RX channels */
 	.txeob_irq	= 38,		/* TX End Of Buffer IRQ  */
 	.rxeob_irq	= 39,		/* RX End Of Buffer IRQ  */
 	.txde_irq	= 34,		/* TX Descriptor Error IRQ */
_
